summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2016-08-02 00:43:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 07:29:31 +0700
commitf9a7ee74253ef414341b128439eae3ace3add588 (patch)
tree6b47b82e55759549503ed818b50951c69cb94289
parenta06f065001ac20c01dc321623ad8bc0e4fa406da (diff)
downloadslackbuilds-f9a7ee74253ef414341b128439eae3ace3add588.tar.gz
slackbuilds-f9a7ee74253ef414341b128439eae3ace3add588.tar.xz
system/oracle-instantclient-basic: Added (Oracle DB client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/oracle-instantclient-basic/README16
-rw-r--r--system/oracle-instantclient-basic/oracle-instantclient-basic.SlackBuild133
-rw-r--r--system/oracle-instantclient-basic/oracle-instantclient-basic.info10
-rw-r--r--system/oracle-instantclient-basic/slack-desc19
4 files changed, 178 insertions, 0 deletions
diff --git a/system/oracle-instantclient-basic/README b/system/oracle-instantclient-basic/README
new file mode 100644
index 0000000000..7269943f7a
--- /dev/null
+++ b/system/oracle-instantclient-basic/README
@@ -0,0 +1,16 @@
+Oracle Instant Client is a free Oracle database client.
+
+It provides core functionality for all OCI, OCCI and
+JDBC-OCI applications.
+
+Oracle-xe and JRE or JDK packages are optional and depends on your
+needs.
+
+You need an Oracle account and you must Agree to Oracle's
+download agreement before this can be downloaded.
+You have to use a web browser to download it.
+
+Ensure that you download the correct RPM
+"Instant Client Package - Basic"
+For x86: oracle-instantclient12.1-basic-12.1.0.2.0-1.i386.rpm
+For x86_64: oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm
diff --git a/system/oracle-instantclient-basic/oracle-instantclient-basic.SlackBuild b/system/oracle-instantclient-basic/oracle-instantclient-basic.SlackBuild
new file mode 100644
index 0000000000..dc37774db2
--- /dev/null
+++ b/system/oracle-instantclient-basic/oracle-instantclient-basic.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for oracle-instantclient-basic
+
+# Copyright 2015 Dhaby Xiloj <slack.dhabyx@gmail.com> Guatemala
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=oracle-instantclient-basic
+VERSION=${VERSION:-12.1.0.2.0}
+RELEASE=${RELEASE:-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ORAVER="12.1"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Architecture not supported"; exit 0;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+# recreating the name of the RPM
+RPMNAM="$(echo ${PRGNAM} | cut -d '-' -f 1-2)\
+${ORAVER}-$(echo ${PRGNAM} | cut -d '-' -f 3)\
+-$VERSION-$RELEASE.$ARCH.rpm"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rpm2cpio < $CWD/$RPMNAM | cpio -imdv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$LIBDIRSUFFIX" = "64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+ORACLE_CLIENT_HOME="/usr/lib${LIBDIRSUFFIX}/oracle/${ORAVER}/\
+client${LIBDIRSUFFIX}"
+
+# Testing if ORACLE already installed
+if [ ! -z "${ORACLE_HOME}" ]; then
+ # make symbolic links to client apps
+ mkdir -p $PKG/$ORACLE_HOME/bin
+ for app in $(ls $PKG/${ORACLE_CLIENT_HOME}/bin) ; do
+ ln -sf $ORACLE_CLIENT_HOME/bin/$app \
+ $PKG/$ORACLE_HOME/bin/
+ done
+fi
+
+# Making csh file for profile.d
+mkdir -p $PKG/etc/profile.d/
+cat << EOF > $PKG/etc/profile.d/$PRGNAM.csh
+#!/bin/csh
+setenv ORACLE_CLIENT_HOME ${ORACLE_CLIENT_HOME}
+
+if ( -z "\$ORACLE_HOME" ) then
+ setenv ORACLE_HOME \$ORACLE_CLIENT_HOME
+endif
+
+setenv PATH \$PATH:\$ORACLE_CLIENT_HOME/bin
+setenv CLASSPATH \$CLASSPATH:\$ORACLE_CLIENT_HOME/lib/ojdbc6.jar
+EOF
+
+# Making sh file for profile.d
+cat << EOF > $PKG/etc/profile.d/$PRGNAM.sh
+#!/bin/sh
+export ORACLE_CLIENT_HOME=${ORACLE_CLIENT_HOME}
+
+if [ -z "\$ORACLE_HOME" ]; then
+ export ORACLE_HOME=\$ORACLE_CLIENT_HOME
+fi
+
+export PATH=\$PATH:\$ORACLE_CLIENT_HOME/bin
+export CLASSPATH=\$CLASSPATH:\$ORACLE_CLIENT_HOME/lib/ojdbc6.jar
+EOF
+chmod 755 $PKG/etc/profile.d/*sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Making doinst.sh file
+cat << EOF > $PKG/install/doinst.sh
+if ! grep $ORACLE_CLIENT_HOME/lib etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
+ echo "$ORACLE_CLIENT_HOME/lib" >> etc/ld.so.conf
+fi
+
+if [ -x /sbin/ldconfig ]; then
+ /sbin/ldconfig 2> /dev/null
+fi
+EOF
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/oracle-instantclient-basic/oracle-instantclient-basic.info b/system/oracle-instantclient-basic/oracle-instantclient-basic.info
new file mode 100644
index 0000000000..ccaef5849b
--- /dev/null
+++ b/system/oracle-instantclient-basic/oracle-instantclient-basic.info
@@ -0,0 +1,10 @@
+PRGNAM="oracle-instantclient-basic"
+VERSION="12.1.0.2.0"
+HOMEPAGE="http://www.oracle.com/technetwork/database/features/instant-client/index-097480.html"
+DOWNLOAD="http://download.oracle.com/otn/linux/instantclient/121020/oracle-instantclient12.1-basic-12.1.0.2.0-1.i386.rpm"
+MD5SUM="8d20c7c681acd8c51e8444aa0e0d4ae7"
+DOWNLOAD_x86_64="http://download.oracle.com/otn/linux/instantclient/121020/oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm"
+MD5SUM_x86_64="2d711cf98c19bd4f291838b4a1ed7b6a"
+REQUIRES=""
+MAINTAINER="DhabyX"
+EMAIL="slack.dhabyx@gmail.com"
diff --git a/system/oracle-instantclient-basic/slack-desc b/system/oracle-instantclient-basic/slack-desc
new file mode 100644
index 0000000000..d856a81453
--- /dev/null
+++ b/system/oracle-instantclient-basic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+oracle-instantclient-basic: oracle instantclient basic (Free Oracle Database Client)
+oracle-instantclient-basic:
+oracle-instantclient-basic: Is a free Oracle database client; It provides core functionality for
+oracle-instantclient-basic: all OCI, OCCI and JDBC-OCI applications.
+oracle-instantclient-basic:
+oracle-instantclient-basic:
+oracle-instantclient-basic:
+oracle-instantclient-basic:
+oracle-instantclient-basic:
+oracle-instantclient-basic:
+oracle-instantclient-basic: